<script>
	import Input from 'flowbite-svelte/Input.svelte';
	import { inputWithLabelSectionClass } from '$lib/stores';

	let { label, value, oninput, placeholder, type, id, step } = $props();
</script>

<section class={inputWithLabelSectionClass}>{label}</section>
<section class="{inputWithLabelSectionClass} !col-span-3">
	<Input
		defaultClass="surface-ios-comp !rounded-md"
		size="sm"
		bind:value
		{id}
		{placeholder}
		{type}
		{oninput}
		{step}
	/>
</section>
